package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 是否推荐(0.未推荐，1.推荐)枚举类
*
* @author zxfei
*/
public enum IsRecommendEnum {
    未推荐(0, "未推荐"),
    推荐(1, "推荐");
    private Integer value;
    private String desc;

    IsRecommendEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static IsRecommendEnum getByValue(Integer value) {
        for (IsRecommendEnum isRecommendEnum : IsRecommendEnum.values()) {
            if (isRecommendEnum.getValue() == value) {
                return isRecommendEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (IsRecommendEnum item : IsRecommendEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}